<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:th="http://www.thymeleaf.org" th:replace="/abm/abm_ancestor">

<body>
	<div th:fragment="content">
		<script src="../../../js/fileinput.js" th:src="@{/js/fileinput.js}"
			type="text/javascript"></script>

		<div th:include="fragments/includes :: file_input_locale">imagen</div>
		
		<h4 class="page-header" th:text="#{miempresa.title}">Mi Empresa</h4>
		
		<div class="alert alert-info alert-dismissable"
			th:id="${formId + 'infoAlert'}">
			<button type="button" class="close" data-dismiss="alert">&times;</button>
			<div th:id="${formId + 'infoAlertMsg'}">Info</div>
		</div>


		<div class="alert alert-danger alert-dismissable"
			th:id="${formId + 'errorAlert'}">
			<button type="button" class="close" data-dismiss="alert">&times;</button>
			<div th:id="${formId + 'errorAlertMsg'}">Error</div>
		</div>

		<ul class="fieldError" th:id="${formId + 'fieldErrorsContainer'}">

		</ul>
			
		<form th:action="@{/miempresa/}" method="POST" role="form"
			th:object="${empresa}" enctype="multipart/form-data"
			th:id="${formId}">
		<ul class="formErrorList"></ul>
			<input type="hidden" th:field="*{id}" />

			<div class="row">
				
				<div class="form-group col-lg-4 col-md-4"
								id="multipartFileContainer"></div>
								
				<div class="form-group col-lg-8 col-md-6">
					<div class="form-group col-lg-2 col-md-6 required">
						<label for="codigo" th:text="#{empresa.codigo.lbl}"
							class="field-label">Código</label> <input type="text"
							th:field="*{codigo}" class="form-control" readonly="readonly"
							 />

					</div>
					<div class="form-group col-lg-2 col-md-6 required">
						<label for="ruc" th:text="#{empresa.ruc.lbl}" class="field-label">RUC</label>
						<input type="text" th:field="*{ruc}" class="form-control"
							maxlength="18" autofocus="autofocus" />
					</div>

					<div class="form-group col-lg-8 col-md-12 required">
						<label for="razonSocial" th:text="#{empresa.razonSocial.lbl}"
							class="field-label">RazonSocial</label> <input type="text"
							th:field="*{razonSocial}" class="form-control" maxlength="100" />
					</div>

					<div class="form-group col-lg-6 col-md-6">
						<label for="nroPatronal" th:text="#{empresa.nroPatronal.lbl}"
							class="field-label">NRO patronal</label> <input type="text"
							th:field="*{nroPatronal}" class="form-control" maxlength="18" />
					</div>

					<div class="form-group col-lg-6 col-md-6">
						<label for="nroPatronalIps"
							th:text="#{empresa.nroPatronalIps.lbl}" class="field-label">NRO
							patronal IPS</label> <input type="text" th:field="*{nroPatronalIps}"
							class="form-control" maxlength="18" />
					</div>

					<div class="form-group col-lg-8 col-md-8">
						<label for="nroPatronal" th:text="#{empresa.email.lbl}"
							class="field-label">Email</label> <input type="text"
							th:field="*{email}" class="form-control" maxlength="100" />
					</div>

					<div class="form-group col-lg-4 col-md-4">
						<label for="activo" th:text="#{empresa.activo.lbl}"
							class="field-label">Activa?</label>
						<div th:remove="tag"
							th:include="fragments/includes :: checkBoxField(inputId='activo', checked=${empresa.activo}, formId=${formId})">checkbox</div>
					</div>

				</div>
			</div>

			<div id="sucursalesContainer">
				<h3 style="text-align: center;">Sucursales</h3>
				<table class="table table-bordered table-hover display">
					<thead>
						<tr>
							<th></th>
							<th class="required" th:text="#{sucursal.codigo.tabla.header}">Código</th>
							<th class="required" th:text="#{sucursal.nombre.tabla.header}">Nombre</th>
							<th th:text="#{sucursal.direccion.tabla.header}">Dirección</th>
							<th></th>
						</tr>
					</thead>
					<tbody id="sucursales">
						<tr class="sucursal defaultRow">
							<td><input type="hidden" id='index' class="index" /> 
								<input type="hidden" name='sucursales[].id'
								id='id' />
								</td>
							<td class="required"> 
								<input type="text"
								maxlength="10" name='sucursales[].codigo' id="codigo"
								class="form-control required"></td>
							<td class="required"><input type="text" maxlength="100"
								name='sucursales[].nombre' id="nombre" class="form-control required"></td>
							<td ><input type="text" maxlength="100"
								name='sucursales[].direccion' id="direccion" class="form-control "></td>
							<td><button type="button"
									class="btn btn-danger removeSucursal">
									<i class="fa fa-trash-o fa-lg"></i>
								</button></td>
						</tr>
					</tbody>
				</table>
				<button type="button" class="btn btn-success" id="addSucursal"
					style="z-index: 20">
					<i class="fa fa-plus" aria-hidden="true"></i><span
						th:text="#{empresa.add_sucursal_btn}">Agregar sucursal</span>
				</button>
			</div>
			<div class="panel-body">
				<p>
					<button type="button" class="btn btn-default"
						th:id="${formId + 'saveBtn'}"
						th:onclick="'htroot.onSaveButtonClicked(\''+ ${formId}+'\')'"
						name="saveButton">
						<i class="fa fa-save"></i> <span th:text="#{form.boton.guardar}">Guardar</span>
					</button>
				</p>
	
			</div>

		</form>

		<script type="text/javascript">
	       $("#[[${formId}]]").change(function(event, action, response) {
		       if (action == null) {
			       return ;
			   }
               htroot.loadDynamicFormListHelper('[[${formId}]]', response.data.sucursalPRList);
     		});

	       function newSucursal(rowElement,index) {
			 	 var formId = "[[${formId}]]";
			
				 var id = index - 1;
				 $("#index"+id).val(id);
				 var $btnBorrar = $(rowElement).find(".removeSucursal");
				 $btnBorrar.click(function(){
	                $(rowElement).remove();
				 });
			 }  

            $(document).ready( function() {
            	htroot.showNotifications("[[${formId}]]", "[[#{form.registro_editando}]]", null, null);
                var config = {
                    rowClass : 'sucursal',
                    addRowId : 'addSucursal',
                    removeRowClass : 'removeSucursal',
                    formId : '[[${formId}]]',
                    rowContainerId : 'sucursales',
                    indexedPropertyName : 'sucursales',
                    indexedPropertyMemberNames : 'id,codigo,nombre,direccion',
                    rowAddedListener: newSucursal,
                    ignoreFormAjaxSubmit:true
                };

                htroot.createDynamicFormListHelper(config);
                htroot.bindImageToForm("[[${formId}]]", "id", "[[@{/empresa-logo/}]]", "multipartFile");
                htroot.findRecord("[[${formId}]]", "[[@{/miempresa/find}]]");
                
            });
            
		</script>


	</div>

</body>
</html>
